:root {
    --main-color: #f6c700; /* Желтый */
    --dark-color: #1a1a1a; /* Темный */
    --light-color: #ffffff; /* Белый */
}

* { box-sizing: border-box; }

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: var(--light-color);
    color: var(--dark-color);
}

.site-header {
    background-color: var(--main-color);
    padding: 20px;
}
.headerTable{
    display: table;
    margin: 0 auto;
}

.logo {
    max-width: 140px;
}

.site-nav {
    background: var(--dark-color);
    display: flex;
    justify-content: left;
    align-items: center;
    flex-wrap: wrap;
}

.play-stop-btn{
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    width: 60px;
    height: 60px;
    transition: transform 0.1s;
}

button img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    pointer-events: none; /* чтобы клик считался по кнопке */
}
.liked img {
    filter: drop-shadow(0 0 4px red);
}

.like-btn{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: none;
    display: block;
}

.track-title{
    color: white;
    padding-left: 30px;
}

.site-nav a {
    color: var(--light-color);
    text-decoration: none;
    padding: 14px 18px;
    display: block;
    transition: background 0.25s, color 0.25s;
}

.site-nav a:hover {
    background: var(--main-color);
    color: var(--dark-color);
}

.section {
    padding: 38px 20px;
    text-align: center;
    max-width: 1000px;
    margin: 0 auto;
}

.site-footer {
    background: var(--dark-color);
    color: var(--light-color);
    text-align: center;
    padding: 18px;
}


/* Responsive */
@media (max-width: 600px) {
    .site-nav a { padding: 12px 10px; }
    .section { padding: 24px 12px; }
}